| NUC472_NUC442_BSP V3.04.000 The Board Support Package for NUC472/NUC442

Functions | Variables
system_NUC472_442.c File Reference

NUC472/NUC442 system clock init code and assert handler. More...

`#include "NUC472_442.h"`
Include dependency graph for system_NUC472_442.c:

Go to the source code of this file.

## Functions
void | SystemCoreClockUpdate (void)
| Updates the SystemCoreClock with current core Clock retrieved from CPU registers. More...
void | SystemInit (void)
| Setup the micro controller system. More...

## Variables
uint32_t | SystemCoreClock = __HSI
uint32_t | CyclesPerUs = (__HSI / 1000000)
uint32_t | gau32ClkSrcTbl [] = {__HXT, __LXT, 0, __LIRC, 0, 0, 0, __HIRC}

## Detailed Description

NUC472/NUC442 system clock init code and assert handler.

Version
  V1.00

Revision
  17

Date
  15/04/20 8:54a

Note
  SPDX-License-Identifier: Apache-2.0 Copyright (C) 2013~2015 Nuvoton Technology Corp. All rights reserved.

Definition in file system_NUC472_442.c.

## Function Documentation

## ◆ SystemCoreClockUpdate()

void SystemCoreClockUpdate | ( | void |  | ) |

Updates the SystemCoreClock with current core Clock retrieved from CPU registers.

Update SystemCoreClock variable

Returns
  none

Definition at line 26 of file system_NUC472_442.c.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ SystemInit()

void SystemInit | ( | void |  | ) |

Setup the micro controller system.

Setup the microcontroller system.

Initialize the system

Returns
  none

Definition at line 56 of file system_NUC472_442.c.

## Variable Documentation

## ◆ CyclesPerUs

uint32_t CyclesPerUs = (__HSI / 1000000)

Cycles per micro second

Definition at line 18 of file system_NUC472_442.c.

## ◆ gau32ClkSrcTbl

uint32_t gau32ClkSrcTbl[] = {__HXT, __LXT, 0, __LIRC, 0, 0, 0, __HIRC}

System clock source table

Definition at line 19 of file system_NUC472_442.c.

## ◆ SystemCoreClock

uint32_t SystemCoreClock = __HSI

System Clock Frequency (Core Clock)

Definition at line 17 of file system_NUC472_442.c.